<div class="main-list-div">
    <div class="list-div" *ngFor="let list of listsData">
        <div class="list-header">
            <h4 class="list-heading" *ngIf="targetId === list.id ? showListHeading : true"
                (click)="toggleInputDiv($event)" id="{{ list.id }}">{{ list.name }}</h4>
            <div class="input-div" *ngIf="targetId === list.id ? showInputDiv : false" id="{{ list.id }}">
                <input type="text" (change)="handleInputChange($event)" value="{{ list.name }}">
                <button class="save-button" (click)="updateListName()">Save</button>
            </div>
            <img src="../../../assets/images/delete-bin.png" alt="delete bin" class="delete-image" (click)="deleteThisList($event)" 
                id="{{ list.id }}">
        </div>
        <div class="main-card-div">
            <app-card listId="{{ list.id }}"></app-card>
        </div>
    </div>
    <div class="list-div addNewList-div">
        <button class="add-list-button" *ngIf="showAddListButton" (click)="toggleAddListInputDiv()">+ Add another list</button>
        <div class="add-list-div" *ngIf="showAddListInputDiv">
            <input type="text" class="input" (change)="handleInputChange($event)">
            <button class="save-button" (click)="addNewList()">Save</button>
        </div>
    </div>
</div>
